var CGMPlayer = null;
var g_strObjectName="";
function CGMSelectedPart(nMouseBtn,lRefID,strName,strViewPortName,strViewPortFile) { // HsHit

	if (strName != "") {
	
		if(strName && strName != "" && nMouseBtn == 1) { // Hotspot clicked
			if(typeof jumpMapping[strName] != "undefined") parent.belenusHome.eventHandler("OpenLink","URL=parts:"+jumpMapping[strName]);
			return;
		}else if (g_strObjectName != strName) {
			CGMPlayer.HighlightHotspot( 0, strName, 4, CGMRGB(0,0,200) );
			g_strObjectName = strName;
		}
	}else{
		if (g_strObjectName != ""){
			CGMPlayer.HighlightHotspot( 0, g_strObjectName , 0, 0 );
			g_strObjectName = "";
		}

	}
}
function CGMInitFinished(CGMPlayerObj) {
	CGMPlayer = CGMPlayerObj;
}

function CGMRGB( r, g, b ) {
	return ( r + g*256 + b*65536 );
}